Subject: Re: MN Spanish
From: <[email-masked]>
To: <[email-masked]>
Date: Sun, 25 Nov 2007 21:23:42 EST

Hi Mike, I am attaching the translation for MN. I did 1hr and 1/2. I am  
including 30 minutes for the last one I sent you about sexual harrassment. 
Have a great day.
 
Doris

**************************************Check out AOL's list of 2007's hottest 
products.
(http://money.aol.com/special/hot-products-2007?NCID=aoltop00030000000001)